%define garminver 0.3.0
Name: qlandkartegt
Version: 0.16.0
Release: alt1
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: A tool to visualize maps and other GPS information for Garmin devices
License: GPL
Group: Sciences/Geosciences
Url: http://qlandkarte.sourceforge.net/

Provides: qlandkarte = %version-%release
Obsoletes: qlandkarte

Source0: http://downloads.sourceforge.net/qlandkarte/QLandkarteGT-%version.tar
Source1: http://downloads.sourceforge.net/qlandkarte/garmindev-%garminver.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Fri Jun 26 2009
BuildRequires: cmake gcc-c++ libGL-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdmcp-devel libXext-devel libXft-devel libXi-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libgdal-devel libgeos-devel libqt4-devel libusb-compat-devel libxkbfile-devel proj-devel xorg-xf86vidmodeproto-devel

%description
Provides a GUI to visualize data from GPS device's tracks and maps.

%package garmindev
Summary: Garmin device drivers for QLandkarteGT
Group: Sciences/Geosciences

%description garmindev
Garmin device drivers for QLandkarteGT

%prep
%setup -q -n QLandkarteGT-%version -b1
%patch -p1
# fix libdir
sed -i \
    -e "s|/usr/lib/qlandkarte|%_libdir/%name|g" \
    CMakeLists.txt

%build
test -d build || mkdir build
cd build
cmake -D CMAKE_INSTALL_PREFIX:string=%_prefix ..
%make_build

cd $RPM_BUILD_DIR/garmindev-%garminver
test -d build || mkdir build
cd build
LIB_SUFFIX=
%ifarch x86_64
LIB_SUFFIX=64
%endif
cmake -D CMAKE_INSTALL_PREFIX:string=%_prefix -D LIB_SUFFIX:string=$LIB_SUFFIX ..
%make_build

%install
cd build
%makeinstall DESTDIR=%buildroot
cd $RPM_BUILD_DIR/garmindev-%garminver/build
%makeinstall DESTDIR=%buildroot

%files
%doc changelog.txt
%_bindir/*
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.png
%_datadir/%name/
%_mandir/man1/%name.*

%files garmindev
%_libdir/%name
%_includedir/garmin

%changelog
* Tue Oct 27 2009 Grigory Batalov <bga@altlinux.ru> 0.16.0-alt1
- New upstream release.

* Thu Jun 25 2009 Grigory Batalov <bga@altlinux.ru> 0.14.1-alt1
- New upstream release.
- Garmin device drivers included.

* Wed May 20 2009 Grigory Batalov <bga@altlinux.ru> 0.13.0-alt1
- New upstream release.

* Mon Apr 20 2009 Grigory Batalov <bga@altlinux.ru> 0.11.1-alt1
- New upstream release.

* Mon Jan 26 2009 Grigory Batalov <bga@altlinux.ru> 0.9.3-alt1
- New upstream release (QLandkarteGT branch).

* Wed Nov 05 2008 Grigory Batalov <bga@altlinux.ru> 0.7.3-alt2
- Update menus in post-install sections (Igor Vlasenko).

* Thu Aug 14 2008 Grigory Batalov <bga@altlinux.ru> 0.7.3-alt1
- New upstream release.

* Fri May 23 2008 Grigory Batalov <bga@altlinux.ru> 0.7.2-alt1
- New upstream release.

* Sat Apr 26 2008 Grigory Batalov <bga@altlinux.ru> 0.7.1-alt1
- Build for ALT Linux.

* Sun Feb 17 2008 Dan Horak <dan[at]danny.cz> 0.7.1-1
- upgrade to 0.7.1
- fixes RH #426807 (many thanks goes to Albrecht who did all the work
  and successfully integrated it in the the upstream code)

* Thu Feb 14 2008 Dan Horak <dan[at]danny.cz> 0.6.0-2
- rebuild with gcc 4.3

* Thu Jan  3 2008 Dan Horak <dan[at]danny.cz> 0.6.0-1
- upgrade to 0.6.0
- fix compile with gcc 4.3

* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-4
- including icon for desktop file
- disabling parallel make flags

* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-3
- spec file patches and desktop file by Dan Horak <dan@danny.cz>
  GPLv2+
  desktop file
  use sed to cleanup problems in makefile
  additional BuildRequires

* Sat Oct 20 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-2
- cleanup for inclusion in Fedora

* Tue Sep 18 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-1
- upgrade to 0.5.3
- removed stripping of *.so files so debuginfo package can be built

* Mon Jul 09 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.2-1
- upgrade to 0.5.2

* Wed May 16 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.0-1
- upgrade to 0.5.0
- removed install_root patch (fixed upstream)
- stripped libraries

* Thu Apr 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.3.0-1
- upgrade to 0.3.0

* Thu Apr 05 2007 Douglas E. Warner <silfreed@silfreed.net> 0.2.3-1
- Initial RPM release.

